#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # .venv aktivieren
#  python -m venv .venv     // oder über VSC unten auf python clicken

# "./.venv/scripts/activate"  //
# readme .venv/scripts/activate        // für Anzeige im Terminal >> (.venv) PS
# README .venv\Scripts\activate


# [x]: eSaver Auswertung Ersparnis v1.00.1.2 py3139


# # ======================================== PyInstaller ==============================================

# in exe datei umwandeln:
# !=> pyinstaller .\src\eSaver_Ausw_Erspar.py           ## Windows
# ?=> pyinstaller ./src/eSaver_Ausw_Erspar.py           ## Raspi

# pyinstaller --onefile .\src\eSaver_Ausw_Erspar.py

# auto-py-to-exe


# README: Starten von Jupyter-Lab
# # jupyter-Lab

# # http://localhost:8889/lab

from src.eSaver_Ausw_Erspar import main as main_src

# from src.eSaver_Export_VIDA_Ausw_Erspar_SVB import main_app


# ? =============================================
# %% === main_app2
def main_app2():
    """___

    ___
    """
    print('Start -> def main_app2')
    print('Hallo => hier kommt das Programm')

    # print('Eingabe der Zahl war: ' + input('Bitte zahl eingeben:  '))

    print('Stopp -> def main_app2.py')

    return


# %% === main
def main():
    print('Start -> def main')

    main_src()
    main_app2()

    print('Stopp main.py')

    print('zur Formatierung ausführen in Terminal-Fenster: [isort .]')

    print('zur Formatierung ausführen in Terminal-Fenster: [ruff format .]')

    print('Stopp -> def main.py')

    pass  # ## ==========

    # ## === Variables Global anlegen

    return


# %% === Start __main__
if __name__ == '__main__':
    """Einsprung Start der Anlage

    """
    # ## === Variables Global anlegen
    pass

    main()

    pass  # ## ==========

pass


# %% === Hinweise
# ? =============================================
# README: Packages installieren
# #! pip install -r requirements-dev.txt            // Install aller Packages

# README: Packages installierte Version erstellen
# #! pip freeze > requirements_Installs.txt         // erstellen der requirements_Installs.txt

# !# pip list --outdated                             // Abfrage welche Packages man updaten kann
# !# python.exe -m pip install --upgrade pip         // Aufruf zum Updaten eines Packages (hier pip selbst)

# !! XLwings VBA Standalone
# ?ref: https://docs.xlwings.org/en/0.27.0/addin.html
# ??    xlwings quickstart ExcelName --standalone

# xlwings quickstart myproject --standalone

# %% === EOF
# EOF
